This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 417441

Summary: gnome-terminal doesn't recognize displays of form ":NNNN.M"
Product: [Fedora] Fedora Reporter: Need Real Name <bugzilla>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: comcast.really.sucks
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:31:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Need Real Name 2007-12-09 15:05:00 EST
Description of problem:
When the DISPLAY variable (or equivalently the value of the command line switch
--display) is of form :NNNN.M then the gnome-terminal opens on the console
display (:0.0).
Specifically
If DISPLAY=:NNNN.M, then gnome-terminal opens on DISPLAY=:0.0 regardless of the
value of NNNN.M
If DISPLAY=localhost:NNNN.M, then gnome-terminal opens up properly on :NNNN.M

Note that gnome-terminal worked fine on older versions (e.g.,
gnome-terminal-2.16.0-2.fc6).
Also, note that other X terminal programs like xterm do not have this problem.



Version-Release number of selected component (if applicable):
gnome-terminal-2.18.3-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Fire up an X-server that is on localhost but is not the console (:0.0)
   E.g., run vncserver and then access the corresponding vnc screen.
2. Assuming you are running vncserver with a session on localhost:1.0.
   Go to the vnc session and type:
     DISPLAY=:1.0 gnome-terminal
3. You will see that the gnome-terminal shows up on :0.0 rather than on :1.0

Actual results:
gnome-terminal launches on :0.0

Expected results:
gnome-terminal should launch on :1.0
Comment 1 Need Real Name 2008-01-01 02:25:36 EST
Anybody following this bug????
Comment 2 Need Real Name 2008-01-15 14:06:45 EST
Hello??? Anybody looking into this bug?
Comment 3 Behdad Esfahbod 2008-01-15 14:09:52 EST
No.  Does that help?

Try passing --disable-factory to gnome-terminal.  That will work.
Comment 4 Need Real Name 2008-01-15 14:49:08 EST
disable-factory is a workaround but DOES NOT fix the bug.
This is still a bug and has been noted as such in other distros such as Ubuntu
and Debian.

One posting on Ubuntu suggested that it had already been fixed upstream in later
versions (version 2.18 is not current).

Having an X program not properly recognize either the DISPLAY variable or
"--display" switch is a CLEAR and OBVIOUS bug. You may choose not to fix it but
please do not close this as "not a bug" because it very clearly is.
Comment 5 Behdad Esfahbod 2008-01-15 15:20:37 EST
Fair enough.  However:

  - I'm not going to fix it here.

  - If you want it fixed, report upstream at bugzilla.gnome.org please.

  - Actually trying with gnome-terminal-2.18.3-1.fc8 I can't reproduce the problem.
Comment 6 Need Real Name 2008-01-15 21:46:38 EST
OK - I will report upstream. But please keep as an open bug so that others can
note it.

Also, you may not have been able to reproduce because I left out one detail. To
get the problem to occur you need to run the command:
  DISPLAY=:1.0 gnome-terminal
0r 
  gnome-terminal --display :1.0
FROM something OTHER than the gnome session with display :1.0. In fact, that is
the whole problem. That new gnome-terminals are always opened in the current
session regardless of how you set the display.

In fact, it also works the other way around. If you run gnome-terminal --display
:0.0 from a gnome session on :1.0, the gnome terminal will open in :1.0 and will
IGNORE the display setting.

Please do me a favor and see if you get this behavior because if not then I need
to figure out why we are seeing different results with the same supposed setup.
Comment 7 Behdad Esfahbod 2008-01-15 21:55:32 EST
As I said it works here.

I start a vnc display using:

$ vncserver :1

The in my current gnome-terminal which is running on :0 I do:

$ DISPLAY=:1.0 gnome-terminal

and it doesn't open a new one in :0.

Keeping it open here doesn't help because there's nothing as the Fedora
maintainer of gnome-terminal I'm going to do about it.
Comment 8 Bug Zapper 2008-11-26 03:55:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:31:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Need Real Name 2014-11-25 16:36:32 EST
Still a problem in Fedora 20. I realize it is an upstream decision from the Gnome team, but this is an egregious regression in functionality.